## Update indicator feed metadata `client.intel.indicatorFeeds.update(numberfeedId, IndicatorFeedUpdateParamsparams, RequestOptionsoptions?): IndicatorFeedUpdateResponse` **put** `/accounts/{account_id}/intel/indicator-feeds/{feed_id}` Revises details for a specific custom threat indicator feed. ### Parameters - `feedId: number` Indicator feed ID - `params: IndicatorFeedUpdateParams` - `account_id: string` Path param: Identifier - `description?: string` Body param: The new description of the feed - `is_attributable?: boolean` Body param: The new is_attributable value of the feed - `is_downloadable?: boolean` Body param: The new is_downloadable value of the feed - `is_public?: boolean` Body param: The new is_public value of the feed - `name?: string` Body param: The new name of the feed ### Returns - `IndicatorFeedUpdateResponse` - `id?: number` The unique identifier for the indicator feed - `created_on?: string` The date and time when the data entry was created - `description?: string` The description of the example test - `is_attributable?: boolean` Whether the indicator feed can be attributed to a provider - `is_downloadable?: boolean` Whether the indicator feed can be downloaded - `is_public?: boolean` Whether the indicator feed is exposed to customers - `modified_on?: string` The date and time when the data entry was last modified - `name?: string` The name of the indicator feed ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const indicatorFeed = await client.intel.indicatorFeeds.update(12, { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(indicatorFeed.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": 1, "created_on": "2023-05-12T12:21:56.777653Z", "description": "example feed description", "is_attributable": false, "is_downloadable": false, "is_public": false, "modified_on": "2023-06-18T03:13:34.123321Z", "name": "example_feed_1" } } ```